dim {maigesPack} | R Documentation

## Retrieve the dimension of microarray objects

### Description

Generic function `dim` to retrieve the number of rows (genes) and columns (arrays) for classes `maigesPreRaw`, `maigesRaw`, `maiges` and `maigesANOVA`.

### Usage

    ## S3 method for class 'maigesPreRaw':
    dim(x)

    ## S3 method for class 'maigesRaw':
    dim(x)

    ## S3 method for class 'maiges':
    dim(x)

    ## S3 method for class 'maigesANOVA':
    dim(x)

### Arguments

`x` | an object of class `maigesPreRaw`, `maigesRaw`, `maiges` or `maigesANOVA`

### Details

This is a function to retrieve the dimensions of the dataset - number of genes (rows) and samples (columns) studied. Note that the commands `nrow(x)`, `ncol(x)` and commands related with matrix dimensions on also work.

### Value

Vector with 2 numbers, the first one is the number of rows (genes) and the second one the number of columns (samples).

### Author(s)

modified from the `marray` package

### See Also

`dim` in the base package.

### Examples

    ## Loading the dataset
    data(gastro)

    dim(gastro)
    dim(gastro.raw)
    dim(gastro.norm)
    dim(gastro.summ)

[Package maigesPack version 1.4.0 Index]